This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 956135 - (CVE-2013-3234) CVE-2013-3234 Kernel: rose: info leak via msg_name in rose_recvmsg
CVE-2013-3234 Kernel: rose: info leak via msg_name in rose_recvmsg
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130407,reported=2...
: Security
Depends On: 956139
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-04-24 06:35 EDT by Prasad J Pandit
Modified: 2015-07-31 03:04 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 13:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-04-24 06:35:23 EDT
Linux kernel built with the ROSE virtual network devices (CONFIG_ROSE)
support is vulnerable to an information leakage flaw. It occurs while
receiving messages via recvmsg(2) call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/4a184233f21645cf0b719366210ed445d1024d72

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-24 06:38:26 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-04-24 06:39:41 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 956139]
Comment 3 Fedora Update System 2013-04-26 20:07:56 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-05-03 20:08:09 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.